Page MenuHomePhabricator

Pressing enter or double clicking a template ref opens the basic reference editor, not the template editor
Closed, ResolvedPublic1 Story Points

Description

However pressing 'edit' works as expected.

Not sure if this is a regression. Doesn't look like a regression.

Event Timeline

Esanders created this task.Feb 26 2016, 5:24 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 26 2016, 5:24 PM
Esanders updated the task description. (Show Details)Feb 27 2016, 5:28 PM

Change 273583 had a related patch set uploaded (by Esanders):
VE: Lookup the correct command for the node

https://gerrit.wikimedia.org/r/273583

This is the only way to set the reference group on a copy-pasted, template-guided or Citoid-generated reference, though…

That's a separate issue that should be resolved in a less accidentally magic way.

That's a separate issue that should be resolved in a less accidentally magic way.

Sure. But I'm saying I believe that that issue is a blocker to this one.

Jdforrester-WMF triaged this task as Low priority.Mar 1 2016, 1:19 AM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.

And I disagree - we don't support glitches. https://xkcd.com/1172/

The glitch is totally undiscoverable - anyone wanting to change the ref group will have no idea they can do it this way and will resort to wikitext, which is the standard procedure for doing something VE doesn't yet support. Anyone stumbling across it by chance will just be annoyed that the wrong interface is shown. The intersection of people who want to change ref group on a citation and people who know about this glitch is vanishingly small (even if it contains you), especially compared to the people who have been potentially annoyed by this bug.

Change 273583 merged by jenkins-bot:
VE: Lookup the correct command for the node

https://gerrit.wikimedia.org/r/273583

Jdforrester-WMF closed this task as Resolved.Apr 3 2016, 12:39 PM
Jdforrester-WMF assigned this task to Esanders.